Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_Util

    java.lang.Object
      com.tonbeller.jpivot.xmla.XMLA_Util

    public class XMLA_Util

extends java.lang.Object

static XMLA Utils

Constructor Summary
`XMLA_Util()`

Method Summary
`static int` | `axisOrdinalForHier(Axis[] axes, XMLA_Hierarchy hier)` find the result axis for a hierarchy
`static int` | `axisOrdinalForMember(Axis[] axes, XMLA_Member member)` find the result axis for a member
`static int` | `funCallSyntax(java.lang.String fuName)` Map function names to XMLA Function type
`static XMLA_Member[]` | `getMemberDescendants(XMLA_Member member, XMLA_Level level)` determine descendants of member at specific level
`static int` | `hierIndex(XMLA_Axis axis, XMLA_Hierarchy hier)` determine hierarchy index on axis
`static int` | `hierIndex(XMLA_Axis axis, XMLA_Member member)` determine hierarchy index on axis
`static boolean` | `isDescendant(XMLA_Member ancestor, XMLA_Member descendant)`
`static Exp` | `member2Exp(Member member)` Deprecated.
`static Exp[]` | `member2Exp(Member[] members)` Deprecated.
`static Exp` | `topLevelMembers(Hierarchy hier, boolean expandAllMember)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLA_Util

    public XMLA_Util()

Method Detail

### member2Exp

    public static Exp[] member2Exp(Member[] members)

  Deprecated.

  generate Exp[] from Member[]

  Parameters:
    `members` -
  Returns:
    Exp[]

### member2Exp

    public static Exp member2Exp(Member member)

  Deprecated.

  generate Exp from Member

  Parameters:
    `member` -
  Returns:
    Exp

### hierIndex

    public static int hierIndex(XMLA_Axis axis,
                                XMLA_Member member)

  determine hierarchy index on axis

  Parameters:
    `axis` -
    `member` -
  Returns:
    int

### hierIndex

    public static int hierIndex(XMLA_Axis axis,
                                XMLA_Hierarchy hier)

  determine hierarchy index on axis

  Parameters:
    `axis` -
    `hier` -
  Returns:
    int

### axisOrdinalForMember

    public static int axisOrdinalForMember(Axis[] axes,
                                           XMLA_Member member)

  find the result axis for a member

### axisOrdinalForHier

    public static int axisOrdinalForHier(Axis[] axes,
                                         XMLA_Hierarchy hier)

  find the result axis for a hierarchy

### getMemberDescendants

    public static XMLA_Member[] getMemberDescendants(XMLA_Member member,
                                                     XMLA_Level level)
                                              throws OlapException

  determine descendants of member at specific level

  Parameters:
    `scr` - SchemaReader
    `member` -
    `level` -
  Returns:
    descendants
  Throws:
    `OlapException`

### isDescendant

    public static boolean isDescendant(XMLA_Member ancestor,
                                       XMLA_Member descendant)

  Parameters:
    `ancestor` -
    `descendant` -

### topLevelMembers

    public static Exp topLevelMembers(Hierarchy hier,
                                      boolean expandAllMember)

  Returns:
    an Expression Object for the top level members of an hierarchy

### funCallSyntax

    public static int funCallSyntax(java.lang.String fuName)

  Map function names to XMLA Function type

  Parameters:
    `fuName` -
  Returns:
    Syntax type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD